
Figure - Bug #118518
【IOVDEV-32046】【内部】【VC1】【0100】【台架】【EE环境】【副屏】【通知中心】通知列表展开隐藏
通知，通知未按时间顺序排列
2023-06-05 14:27 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-05

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【副屏版本号】：01.00.0100.C103��【中控版本号】：03.02.0086.C102.03_userdebug_2305271506

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】：EE环境

【问题出现时间】：20230601 10:24，第183次开机

https://ofs.human-horizons.com/#/download/index/QgDzu0qSAk0%3D

【前提条件】：已安装应用宝、outlook

【操作步骤】：屏幕下滑打开通知中心，查看隐藏通知

【实际结果】

通知未按时间顺序排列，如应用宝2个小时前通知在tap32分钟前通知上面

【期望结果】

按通知时间顺序排列

【备注】：

【副屏版本号】：01.00.0100.C103

【中控版本号】：03.02.0086.C102.03_userdebug_2305271506

【VIN】HRYTTESTVINMGM403

History

#1 - 2023-06-05 14:28 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118518

#2 - 2023-06-05 16:28 - CD FW-廖涛

- Category changed from CD-FW to 依赖客户及其供应商解决

- Status changed from New to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CDTS_Test 吴诗雨

■ Current conclusion

隐藏通知在需求上没有排序要求，所以遵循原生 Android 规则。

原生的排序规则如下（优先级从上到下依次降低）：

1. 通知渠道的重要性（importance），例如 IMPORTANCE_HIGH（高）、IMPORTANCE_DEFAULT（默认）、IMPORTANCE_LOW（低）等；

2. 是否为悬浮通知或带提示（声音或震动）的通知；

3. 用户自定义过偏好的通知；

4. 通知的时间；
https://ofs.human-horizons.com/#/download/index/QgDzu0qSAk0%3D
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118518


■ Next action

测试确认并同步客户。

#3 - 2023-06-05 18:06 - CD TEST-方永红

6.5

已同步，待确认

#4 - 2023-07-03 17:50 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

#5 - 2023-07-03 17:50 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

隐藏通知在需求上没有排序要求，所以遵循原生 Android 规则。

#6 - 2023-07-03 17:50 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

隐藏通知时间顺序.mp4 4.8 MB 2023-06-05 CDTS_Test 吴诗雨
